%define name		aqsis
%define version		1.2.0
#define snapshot	2006-12-23
%define release		%mkrel 1
%define lib_name_orig	libaqsis
%define lib_major	1
%define lib_name	%mklibname %{name} %{lib_major}

Summary:	Open source RenderMan-compliant 3D rendering solution
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Url:		http://www.aqsis.com/
Group:		Graphics
#Source:		%{name}-%{version}-%{snapshot}.tar.bz2
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	%{lib_name} = %{version}
BuildRequires:	liblog4cpp-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	mesaglut-devel
BuildRequires:	tiff-devel
BuildRequires:	XFree86-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:  fltk-devel
BuildRequires:	scons
BuildRequires:	libxslt-proc
BuildRequires:	OpenEXR-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel

%description
Tha Aqsis rendering system consists of a set of libraries and applications for
creating high-quality computer imagery using the Pixar RenderMan Interface.

%package -n %{lib_name}
Summary: Aqsis rendering system
License: GPL/LGPL
Group: System/Libraries

%description -n %{lib_name}
The Aqsis library.

%package -n %{lib_name}-devel
Summary: Aqsis rendering system
License: GPL
Group: Development/C++
Requires: %{lib_name} >= %{version}
Provides: libaqsis-devel = %{version}

%description -n %{lib_name}-devel
The Aqsis library developpement files.

%prep
%setup -q

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
scons %{?_smp_mflags} destdir=$RPM_BUILD_ROOT \
                install_prefix=%{_prefix} \
                sysconfdir=%{_sysconfdir} \
		libdir=%{_libdir} \
                no_rpath=true \
                build

%install
rm -rf $RPM_BUILD_ROOT
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
scons install

chmod a+rx $RPM_BUILD_ROOT%{_datadir}/%{name}/content/ribs/*/*/*.sh
sed -i 's|/usr/bin/bash|/bin/bash|' $RPM_BUILD_ROOT%{_datadir}/%{name}/content/ribs/*/*/*.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%doc AUTHORS COPYING INSTALL README ReleaseNotes
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/*
%exclude %{_datadir}/%{name}/content/ribs/*/*/*.bat

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/%{name}
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Mon Feb 19 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-1mdv2007.0
+ Revision: 122889
- fix release
- 1.2.0 final
- Drop patch0

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-0.20061223.2mdv2007.1
+ Revision: 103796
- Fix generated dependency on /usr/sbin/bash (aka test your package after the very last commit)

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-0.20061223.1mdv2007.1
+ Revision: 103672
- fix lib64
- have the scripts executable
- Add x86_64 patch from Fedora
- Buildrequires boost-devel
- move .a to -devel
- really use mkrel
- mark the config file
- partially sync with upstream specfile
- don't separate build and install as the scons script do te same...
- fix file list
- 1.2.0 snapshot (almost RC1)
- switch to scons
- mkrel
- Import aqsis



* Wed May 05 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-3mdk
- better fix for x86_64 build

* Wed May 04 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-2mdk
- fix x86_64 build (P1)

* Mon Jan 17 2005 Pascal Terjan <pterjan@mandrake.org> 1.0.0-1mdk
- 1.0.0

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.3-1mdk
- 0.9.3
- BuildRequires fltk-devel

* Sat Sep  4 2004 Pascal Terjan <pterjan@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Drop patch 0 (fixed upstream)

* Tue Jun 08 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-2mdk
- GCC 3.4 fixes

* Thu Apr 08 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-1mdk
- 0.9.1

* Thu Jan 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.0-2mdk
- become owner of some dirs

* Mon Dec 15 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.9.0-1mdk
- 0.9.0
- Add it to mdk contribs

* Fri Oct 24 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8.0-2thac
- Rebuilt for Mandrake 9.2

* Mon Sep 22 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8.0-1thac
- Updated to latest version

* Tue Sep 16 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.19-1thac
- Updated to latest version

* Wed Aug 27 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.18-1thac
- Updated to latest version
- Changed naming to differ from Mandrake cooker
- Cleaned up spec file

* Mon Aug 18 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.16-1mdk
- Updated to latest version

* Sat Aug 02 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.14-1mdk
- Updated to latest version

* Mon Jul 28 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.13-1mdk
- Updated to latest version

* Mon Jun 23 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.12-1mdk
- Updated to latest version

* Wed Jun 04 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.11-1mdk
- Updated to latest version

* Sat May 31 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.10-1mdk
- Updated to latest version

* Sat May 17 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.9-1mdk
- Updated to latest version

* Sat May 03 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.6-2mdk
- Rebuilt with rpmmacro patch that removes nvidia dependency.

* Thu May 01 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.6-1mdk
- Recompiled for Mandrake 9.1

* Wed Apr 09 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.5-2mdk
- Recompiled for Mandrake 9.1

* Thu Mar 20 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.5-1mdk
- Updated to latest version

* Thu Mar 17 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.4-3mdk
- Cleaned up spec file even more

* Thu Mar 03 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.4-2mdk
- Cleaned up spec file

* Thu Mar 02 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.4-1mdk
- Updated to latest version

* Thu Feb 23 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.3-2mdk
- Cleaned up spec file.

* Thu Feb 20 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.7.3-1mdk
- Compiled for Mandrake 9.0
